<?php

namespace KupShop\BalikonosBundle;

use KupShop\BalikonosBundle\BalikobotAdapters\B2A\IBalikobotB2AAdapter;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

class BalikonosBundle extends Bundle
{
    public function build(ContainerBuilder $container)
    {
        $container->registerForAutoconfiguration(IBalikobotB2AAdapter::class)
            ->addTag('kupshop.balikobot.B2Aadapter')
            ->setPublic(false)
            ->setAutowired(true);
    }
}
